[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#706605: ITP: macfanctld -- Fan control daemon for Apple MacBook computers



On 02/05/2013 11:34, Thibaut Paumard wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Thibaut Paumard <thibaut@debian.org>
> 
> * Package name    : macfanctld
>   Version         : 0.6
>   Upstream Author : Mikael Strom <mikael@sesamiq.com>
> * URL             : https://github.com/MikaelStrom/macfanctld
> * License         : GPL
>   Programming Lang: C
>   Description     : Fan control daemon for Apple MacBook computers
> 
> This deamon reads the temperature sensors in an Apple Macbook (or Macbook Pro)
> computer and throttles the fans accordingly to keep the temperature within
> configurable limits.

I'm using a slightly patched (attached) "fancontrol" to control my iMac12,2 fans,
and it works perfectly (with the attached config).
Wouldn't that be enough here too ?

Jérémy.



INTERVAL=10
# fan1 : Optical Disk Drive, near GPU
# temp15 : TG0D	GPU Die
# fan2 : Hard Disk Drive
# temp45 : Tp1P Power board
# fan3 : CPU
# temp5 : TC0P CPU Proximity
# temp14 = TCXc CPU casing ?
FCTEMPS=/sys/devices/platform/applesmc.768/fan1_min=/sys/devices/platform/applesmc.768/temp15_input /sys/devices/platform/applesmc.768/fan2_min=/sys/devices/platform/applesmc.768/temp45_input /sys/devices/platform/applesmc.768/fan3_min=/sys/devices/platform/applesmc.768/temp49_input
FCFANS=/sys/devices/platform/applesmc.768/fan1_min=/sys/devices/platform/applesmc.768/fan1_output /sys/devices/platform/applesmc.768/fan2_min=/sys/devices/platform/applesmc.768/fan2_output /sys/devices/platform/applesmc.768/fan3_min=/sys/devices/platform/applesmc.768/fan3_output
MINPWM=/sys/devices/platform/applesmc.768/fan1_min=100 /sys/devices/platform/applesmc.768/fan2_min=100 /sys/devices/platform/applesmc.768/fan3_min=800
MAXPWM=/sys/devices/platform/applesmc.768/fan1_min=2100 /sys/devices/platform/applesmc.768/fan2_min=5500 /sys/devices/platform/applesmc.768/fan3_min=2500
MINTEMP=/sys/devices/platform/applesmc.768/fan1_min=45 /sys/devices/platform/applesmc.768/fan2_min=45 /sys/devices/platform/applesmc.768/fan3_min=45
MAXTEMP=/sys/devices/platform/applesmc.768/fan1_min=63 /sys/devices/platform/applesmc.768/fan2_min=63 /sys/devices/platform/applesmc.768/fan3_min=63
MINSTART=/sys/devices/platform/applesmc.768/fan1_min=100 /sys/devices/platform/applesmc.768/fan2_min=100 /sys/devices/platform/applesmc.768/fan3_min=100
MINSTOP=/sys/devices/platform/applesmc.768/fan1_min=100 /sys/devices/platform/applesmc.768/fan2_min=100 /sys/devices/platform/applesmc.768/fan3_min=800

--- /root/fancontrol	2012-07-06 02:03:03.274389144 +0200
+++ fancontrol	2012-06-03 16:23:37.000000000 +0200
@@ -114,6 +114,12 @@
 			echo "MINTEMP must be less than MAXTEMP" >&2
 			exit 1
 		fi
+		if [ "${AFCMAXPWM[$fcvcount]}" -gt 255 ]
+		then
+			echo "Error in configuration file (${AFCPWM[$fcvcount]}):" >&2
+			echo "MAXPWM must be at most 255" >&2
+			exit 1
+		fi
 		if [ "${AFCMINSTOP[$fcvcount]}" -ge "${AFCMAXPWM[$fcvcount]}" ]
 		then
 			echo "Error in configuration file (${AFCPWM[$fcvcount]}):" >&2
@@ -508,7 +514,7 @@
 # main loop calling the main function at specified intervals
 while true
 do
-	UpdateFanSpeeds || true
+	UpdateFanSpeeds
 	# Sleep while still handling signals
 	sleep $INTERVAL &
 	wait $!

Reply to: